[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ValEdit' (#lcl)

# TValueListEditor.ColRowDeleted

Performs actions needed when a row is deleted in the control.

## Declaration

Source position: valedit.pas line 157

`protected procedure TValueListEditor.ColRowDeleted(`
`IsColumn: Boolean;`
`index: Integer`
`); override;`

## Arguments

`IsColumn` |  | Indicates the action is for a column (and not a row).
`index` |  | Ordinal position of the affected item.

## Description

ColRowDeleted is an overridden procedure used to perform actions needed when a Key-Value row is deleted in the control. ColRowDeleted ensures that EditorMode is set to False, and deletes the active row in the Strings property. ColRowDeleted calls the inherited method using IsColumn and Index as arguments.

## See also

TCustomDrawGrid.ColRowDeleted |  | Performs actions when a column or a row is deleted from the control.